jmeter-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Philippe Mouawad <philippe.moua...@gmail.com>
Subject Re: Release 5.3
Date Tue, 05 May 2020 19:22:56 GMT
Hello,
Good catch, yes it is required.

Shall we release or do this before ?
Thanks
Regards

On Sun, May 3, 2020 at 2:20 PM Felix Schumacher <
felix.schumacher@internetallee.de> wrote:

>
> Am 07.04.20 um 13:18 schrieb Vladimir Sitnikov:
> >> Let's update to Groovy 3.
> > I see that we currently use groovy-all dependency.
> > Unfortunately, it is unpredictable, as it adds new transitive
> dependencies
> > as Groovy evolves.
> >
> > I guess we need to specify which dependencies we include explicitly.
> > How about groovy,
> > groovy-datetime, groovy-jmx, groovy-json, groovy-templates, groovy-sql ?
>
> What about groovy-jsr223?
>
> Felix
>
> >
> > Here's dependency tree for groovy-all 2.4.18
> > org.codehaus.groovy:groovy-all -> 2.4.18  (no transitive dependencies)
> >
> > groovy 3.0.2 (2.5.10 is pretty much the same)
> >
> > org.codehaus.groovy:groovy-all -> 3.0.2
> > +--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-ant:3.0.2
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    +--- org.apache.ant:ant:1.10.7
> > |    |    \--- org.apache.ant:ant-launcher:1.10.7
> > |    +--- org.apache.ant:ant-junit:1.10.7
> > |    |    \--- org.apache.ant:ant:1.10.7 (*)
> > |    +--- org.apache.ant:ant-launcher:1.10.7
> > |    +--- org.apache.ant:ant-antlr:1.10.7
> > |    \--- org.codehaus.groovy:groovy-groovydoc:3.0.2
> > |         +--- org.codehaus.groovy:groovy:3.0.2
> > |         +--- com.github.javaparser:javaparser-core:3.15.13
> > |         +--- org.codehaus.groovy:groovy-templates:3.0.2
> > |         |    +--- org.codehaus.groovy:groovy:3.0.2
> > |         |    \--- org.codehaus.groovy:groovy-xml:3.0.2
> > |         |         \--- org.codehaus.groovy:groovy:3.0.2
> > |         \--- org.codehaus.groovy:groovy-docgenerator:3.0.2
> > |              +--- org.codehaus.groovy:groovy-templates:3.0.2 (*)
> > |              +--- org.codehaus.groovy:groovy:3.0.2
> > |              \--- com.thoughtworks.qdox:qdox:1.12.1
> > +--- org.codehaus.groovy:groovy-astbuilder:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-cli-picocli:3.0.2
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    \--- info.picocli:picocli:4.1.4
> > +--- org.codehaus.groovy:groovy-console:3.0.2
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    +--- org.codehaus.groovy:groovy-templates:3.0.2 (*)
> > |    \--- org.codehaus.groovy:groovy-swing:3.0.2
> > |         \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-datetime:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-docgenerator:3.0.2 (*)
> > +--- org.codehaus.groovy:groovy-groovydoc:3.0.2 (*)
> > +--- org.codehaus.groovy:groovy-groovysh:3.0.2
> > |    +--- org.codehaus.groovy:groovy-templates:3.0.2 (*)
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    +--- org.codehaus.groovy:groovy-console:3.0.2 (*)
> > |    +--- org.codehaus.groovy:groovy-xml:3.0.2 (*)
> > |    \--- jline:jline:2.14.6
> > +--- org.codehaus.groovy:groovy-jmx:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-json:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-jsr223:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-macro:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-nio:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-servlet:3.0.2
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    +--- org.codehaus.groovy:groovy-templates:3.0.2 (*)
> > |    \--- org.codehaus.groovy:groovy-xml:3.0.2 (*)
> > +--- org.codehaus.groovy:groovy-sql:3.0.2
> > |    \--- org.codehaus.groovy:groovy:3.0.2
> > +--- org.codehaus.groovy:groovy-swing:3.0.2 (*)
> > +--- org.codehaus.groovy:groovy-templates:3.0.2 (*)
> > +--- org.codehaus.groovy:groovy-test:3.0.2
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    \--- junit:junit:4.13
> > |         \--- org.hamcrest:hamcrest-core:1.3 -> 2.2
> > |              \--- org.hamcrest:hamcrest:2.2
> > +--- org.codehaus.groovy:groovy-test-junit5:3.0.2
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    +--- org.junit.platform:junit-platform-launcher:1.6.0
> > |    |    +--- org.junit:junit-bom:5.6.0
> > |    |    |    +--- org.junit.jupiter:junit-jupiter-api:5.6.0 (c)
> > |    |    |    +--- org.junit.jupiter:junit-jupiter-engine:5.6.0 (c)
> > |    |    |    +--- org.junit.platform:junit-platform-engine:1.6.0 (c)
> > |    |    |    +--- org.junit.platform:junit-platform-launcher:1.6.0 (c)
> > |    |    |    \--- org.junit.platform:junit-platform-commons:1.6.0 (c)
> > |    |    \--- org.junit.platform:junit-platform-engine:1.6.0
> > |    |         +--- org.junit:junit-bom:5.6.0 (*)
> > |    |         +--- org.opentest4j:opentest4j:1.2.0
> > |    |         \--- org.junit.platform:junit-platform-commons:1.6.0
> > |    |              \--- org.junit:junit-bom:5.6.0 (*)
> > |    \--- org.junit.jupiter:junit-jupiter-engine:5.6.0
> > |         +--- org.junit:junit-bom:5.6.0 (*)
> > |         +--- org.junit.platform:junit-platform-engine:1.6.0 (*)
> > |         \--- org.junit.jupiter:junit-jupiter-api:5.6.0
> > |              +--- org.junit:junit-bom:5.6.0 (*)
> > |              +--- org.opentest4j:opentest4j:1.2.0
> > |              \--- org.junit.platform:junit-platform-commons:1.6.0 (*)
> > +--- org.codehaus.groovy:groovy-testng:3.0.2
> > |    +--- org.codehaus.groovy:groovy:3.0.2
> > |    \--- org.testng:testng:6.14.3
> > |         \--- com.beust:jcommander:1.72
> > \--- org.codehaus.groovy:groovy-xml:3.0.2 (*)
> >
> >
> > Vladimir
> >
>


-- 
Cordialement.
Philippe Mouawad.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message